<?php

namespace App\Classes\Modules\Accounts\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Models\User;

class UserSocialAccountObject implements DataTransferObject
{
    /** @var String */
    private $app_id;

    /** @var User */
    private $user;

    /** @var integer */
    private $platform;

    /**
     * UserSocialAccountObject constructor.
     * @param String $token
     * @param String $app_id
     */
    public function __construct(String $app_id, User $user, int $platform)
    {
        $this->app_id = $app_id;
        $this->user = $user;
        $this->platform = $platform;
    }

    /**
     * @return string
     */
    public function getAppId(): String
    {
        return $this->app_id;
    }

    /**
     * @return User
     */
    public function getUser(): User
    {
        return $this->user;
    }

    /**
     * @return int
     */
    public function getPlatform(): int
    {
        return $this->platform;
    }
}
